import * as lambda from "@aws-cdk/aws-lambda";
import * as lambdaNodejs from "@aws-cdk/aws-lambda-nodejs";
import * as lambdaPython from "@aws-cdk/aws-lambda-python";
import * as logs from "@aws-cdk/aws-logs";
import * as cdk from "@aws-cdk/core";
import { Transport } from "./transport";
export interface DatadogProps {
    readonly pythonLayerVersion?: number;
    readonly nodeLayerVersion?: number;
    readonly extensionLayerVersion?: number;
    readonly addLayers?: boolean;
    readonly forwarderArn?: string;
    readonly flushMetricsToLogs?: boolean;
    readonly site?: string;
    readonly apiKey?: string;
    readonly apiKeySecretArn?: string;
    readonly apiKmsKey?: string;
    readonly enableDatadogTracing?: boolean;
    readonly injectLogContext?: boolean;
    readonly logLevel?: string;
    readonly enableDatadogLogs?: boolean;
}
export declare const defaultProps: {
    addLayers: boolean;
    enableDatadogTracing: boolean;
    injectLogContext: boolean;
    enableDatadogLogs: boolean;
    architecture: string;
};
export declare class Datadog extends cdk.Construct {
    scope: cdk.Construct;
    props: DatadogProps;
    transport: Transport;
    constructor(scope: cdk.Construct, id: string, props: DatadogProps);
    addLambdaFunctions(lambdaFunctions: (lambda.Function | lambdaNodejs.NodejsFunction | lambdaPython.PythonFunction)[]): void;
    addForwarderToNonLambdaLogGroups(logGroups: logs.ILogGroup[]): void;
}
export declare function addCdkConstructVersionTag(lambdaFunctions: lambda.Function[]): void;
export declare function checkForMultipleApiKeys(props: DatadogProps): void;
